## com.arsdigita.cms.docmgr.ui
Class PagingControlContainer

    java.lang.Object
      com.arsdigita.bebop.Completable
          com.arsdigita.bebop.SimpleComponent
              com.arsdigita.bebop.TextStylable
                  com.arsdigita.bebop.BlockStylable
                      com.arsdigita.bebop.SimpleContainer
                          com.arsdigita.bebop.BoxPanel
                              com.arsdigita.cms.docmgr.ui.PagingControlContainer

All Implemented Interfaces:
  com.arsdigita.bebop.util.BebopConstants, Cloneable, com.arsdigita.bebop.Component, com.arsdigita.bebop.Container, com.arsdigita.util.Lockable

public class PagingControlContainer
extends com.arsdigita.bebop.BoxPanel

Author:
  Peter Kopunec

Field Summary
`static String` `CLASS_PAGING_CONTROL`
`static String` `CLASS_SELECTED`
`static String` `LABEL_NEXT`
`static String` `LABEL_PREVIOUS`

Fields inherited from class com.arsdigita.bebop.BoxPanel
`HORIZONTAL, versionId, VERTICAL`

Fields inherited from class com.arsdigita.bebop.BlockStylable
`ABSBOTTOM, ABSMIDDLE, BASELINE, BOTTOM, CENTER, FULL_WIDTH, INSERT, LEFT, MIDDLE, RIGHT, TEXTTOP, TOP`

Fields inherited from class com.arsdigita.bebop.SimpleComponent
`m_attr`

Fields inherited from interface com.arsdigita.bebop.util.BebopConstants

`BEBOP_BORDER, BEBOP_BOXPANEL, BEBOP_CELL, BEBOP_CHECKBOX, BEBOP_CHECKBOXGROUP, BEBOP_COLUMNPANEL, BEBOP_DATE, BEBOP_DATETIME, BEBOP_DHTMLEDITOR, BEBOP_FORMERRORS, BEBOP_FORMWIDGET, BEBOP_GRIDPANEL, BEBOP_LIST, BEBOP_MULTISELECT, BEBOP_OPTION, BEBOP_PAD, BEBOP_PADFRAME, BEBOP_PANELROW, BEBOP_PORTAL, BEBOP_PORTLET, BEBOP_RADIO, BEBOP_RADIOGROUP, BEBOP_SEG_BODY, BEBOP_SEG_HEADER, BEBOP_SEG_PANEL, BEBOP_SEGMENT, BEBOP_SELECT, BEBOP_TABLE, BEBOP_TABLEBODY, BEBOP_TABLEROW, BEBOP_TEXTAREA`

Fields inherited from interface com.arsdigita.bebop.Component
`BEBOP_XML_NS, CLASS, ID, ON_CLICK, STYLE`

Constructor Summary
`PagingControlContainer(com.arsdigita.bebop.parameters.IntegerParameter pageNo, com.arsdigita.bebop.RequestLocal maxPages)` Constructor
`PagingControlContainer(com.arsdigita.bebop.parameters.IntegerParameter pageNo, com.arsdigita.bebop.RequestLocal maxPages, int itemsPerPage)` Constructor

Method Summary
`void` `generateXML(com.arsdigita.bebop.PageState ps, com.arsdigita.xml.Element e)`
`int` `getFirstRowNo(com.arsdigita.bebop.PageState ps)`
`int` `getLastRowNo(com.arsdigita.bebop.PageState ps)`
`int` `getMaxPages(com.arsdigita.bebop.PageState ps)`
`int` `getPageNo(com.arsdigita.bebop.PageState ps)`

Methods inherited from class com.arsdigita.bebop.BoxPanel
`setBorder, setBorder, setWidth`

Methods inherited from class com.arsdigita.bebop.SimpleContainer
`add, add, children, contains, generateChildrenXML, generateParent, get, getNamespace, getTag, indexOf, isEmpty, setNamespace, setTag, size`

Methods inherited from class com.arsdigita.bebop.BlockStylable
`setBorder, setBorder, setBorderColor, setHorizontalAlignment, setMargin, setMargin, setPadding, setPadding, setVerticalAlignment`

Methods inherited from class com.arsdigita.bebop.TextStylable
`setBackgroundColor, setColor`

Methods inherited from class com.arsdigita.bebop.SimpleComponent
`clone, exportAttributes, getAttribute, getClassAttr, getIdAttr, getKey, getMetaDataAttribute, getStyleAttr, hasAttributes, isLocked, isVisible, lock, register, register, respond, setAttribute, setClassAttr, setIdAttr, setKey, setMetaDataAttribute, setStyleAttr, setVisible`

Methods inherited from class com.arsdigita.bebop.Completable
`addCompletionListener, fireCompletionEvent`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.arsdigita.bebop.Component
`getClassAttr, getIdAttr, getKey, getStyleAttr, isVisible, register, register, respond, setClassAttr, setIdAttr, setKey, setStyleAttr, setVisible`

Methods inherited from interface com.arsdigita.util.Lockable
`isLocked, lock`

Field Detail

### CLASS_PAGING_CONTROL

    public static final String CLASS_PAGING_CONTROL

See Also:
  Constant Field Values

### CLASS_SELECTED

    public static final String CLASS_SELECTED

See Also:
  Constant Field Values

### LABEL_PREVIOUS

    public static final String LABEL_PREVIOUS

See Also:
  Constant Field Values

### LABEL_NEXT

    public static final String LABEL_NEXT

See Also:
  Constant Field Values

Constructor Detail

### PagingControlContainer

    public PagingControlContainer(com.arsdigita.bebop.parameters.IntegerParameter pageNo,
                                  com.arsdigita.bebop.RequestLocal maxPages)

  Constructor

Parameters:
  `pageNo` - current page number
  `maxPages` - 'get' returns count of pages

### PagingControlContainer

    public PagingControlContainer(com.arsdigita.bebop.parameters.IntegerParameter pageNo,
                                  com.arsdigita.bebop.RequestLocal maxPages,
                                  int itemsPerPage)

  Constructor

Parameters:
  `pageNo` - current page number
  `maxPages` - 'get' returns count of pages

Method Detail

### getPageNo

    public int getPageNo(com.arsdigita.bebop.PageState ps)

### getMaxPages

    public int getMaxPages(com.arsdigita.bebop.PageState ps)

### getFirstRowNo

    public int getFirstRowNo(com.arsdigita.bebop.PageState ps)

### getLastRowNo

    public int getLastRowNo(com.arsdigita.bebop.PageState ps)

### generateXML

    public void generateXML(com.arsdigita.bebop.PageState ps,
                            com.arsdigita.xml.Element e)

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1113 UTC